Naar hoofdinhoud gaan

Deze browser wordt niet meer ondersteund.

Upgrade naar Microsoft Edge om te profiteren van de nieuwste functies, beveiligingsupdates en technische ondersteuning.

Microsoft Edge downloaden Meer informatie over Internet Explorer en Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Chat

Update a chat completion

POST /openai/v1/chat/completions/{completion_id}

Updates a chat completion with the supplied changes.

Padparameters

completion_id string vereist

The ID of the chat completion to update.

Aanvraagbody

The request body.

Content-Type: application/json
metadata OpenAI.Metadata | null vereist

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string

Antwoorden

The request has succeeded.

Hoofdtekst

Content-Type: application/json
id string vereist

A unique identifier for the chat completion.

choices OpenAI.CreateChatCompletionResponseChoices[] vereist

A list of chat completion choices. Can be more than one if n is greater than 1.

created integer vereist

The Unix timestamp (in seconds) of when the chat completion was created.

model string vereist

The model deployment used for the creation of this chat completion.

metadata OpenAI.Metadata | null

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
service_tier enum

Specifies the processing type used for serving the request. - If set to 'auto', then the request will be processed with the service tier configured in the Project settings. Unless otherwise configured, the Project will use 'default'. - If set to 'default', then the request will be processed with the standard pricing and performance for the selected model. - If set to 'flex', then the request will be processed with the Flex Processing service tier. - To opt-in to Fast mode at the request level, include the service_tier=fast or service_tier=priority parameter for Responses or Chat Completions. The response will show service_tier=priority regardless of if you specify service_tier=fast or priority in your request. - When not set, the default behavior is 'auto'. When the service_tier parameter is set, the response body will include the service_tier value based on the processing mode actually used to serve the request. This response value may be different from the value set in the parameter.

autodefaultflexscalepriorityfast
system_fingerprint string

This fingerprint represents the backend configuration that the model runs with. Can be used in conjunction with the seed request parameter to understand when backend changes have been made that might impact determinism.

object enum vereist

The object type, which is always chat.completion.

chat.completion
usage OpenAI.CompletionUsage

Usage statistics for the completion request.

completion_tokens integer vereist
prompt_tokens integer vereist
total_tokens integer vereist
completion_tokens_details OpenAI.CompletionUsageCompletionTokensDetails
accepted_prediction_tokens integer
audio_tokens integer
reasoning_tokens integer
text_tokens integer
rejected_prediction_tokens integer
prompt_tokens_details OpenAI.CompletionUsagePromptTokensDetails
audio_tokens integer
cached_tokens integer
text_tokens integer
image_tokens integer
cache_write_tokens integer
moderation OpenAI.ChatCompletionModeration | null

Moderation results or errors for the request input and generated output.

input moderation_results | error vereist

Moderation results or an error for a chat completion moderation check.

Een van de volgende:
moderation_results OpenAI.ChatCompletionModerationResults

Successful moderation results for the request input or generated output.

type enum vereist

The object type, which is always moderation_results.

moderation_results
model string vereist

The moderation model used to generate the results.

results OpenAI.ModerationResultBody[] vereist

A list of moderation results.

error OpenAI.ChatCompletionModerationError

An error produced while attempting moderation.

type enum vereist

The object type, which is always error.

error
code string vereist

The error code.

message string vereist

The error message.

output moderation_results | error vereist

Moderation results or an error for a chat completion moderation check.

Een van de volgende:
moderation_results OpenAI.ChatCompletionModerationResults

Successful moderation results for the request input or generated output.

type enum vereist

The object type, which is always moderation_results.

moderation_results
model string vereist

The moderation model used to generate the results.

results OpenAI.ModerationResultBody[] vereist

A list of moderation results.

error OpenAI.ChatCompletionModerationError

An error produced while attempting moderation.

type enum vereist

The object type, which is always error.

error
code string vereist

The error code.

message string vereist

The error message.

model_selection_details ModelSelectionDetails

Model selection metadata providing visibility into routing decisions.

model_router_details ModelRouterDetails vereist

Routing decision metadata from Model Router.

mode string | enum vereist

The routing mode used by Model Router for the request.

Een van de volgende:
string
enum
balancedcostquality
session_affinity SessionAffinityDetails

Effective Model Router session affinity metadata for a request.

mode string | enum vereist

Effective modes reported for Model Router session affinity.

Een van de volgende:
string
enum
stickynone
source string | enum

Conversation identifier sources supported by Model Router session affinity.

Een van de volgende:
string
enum
session_id_payloadsession_id_headernot_availableconversationprevious_response_id
decision string | enum

Final outcomes reported for Model Router session affinity.

Een van de volgende:
string
enum
initializeretainswitch
routing_trace RoutingTraceEntry[] vereist

Ordered trace of routing decisions. Contains one entry for Chat Completions, and may contain multiple entries for Responses API or agent scenarios where multiple inference turns occur.

Client error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Aanvraag

curl -X POST https://api.openai.com/v1/chat/completions/chat_abc123 \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"metadata": {"foo": "bar"}}'
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
chat_completion = client.chat.completions.update(
    completion_id="completion_id",
    metadata={
        "foo": "string"
    },
)
print(chat_completion.id)
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const chatCompletion = await client.chat.completions.update('completion_id', {
  metadata: { foo: 'string' },
});

console.log(chatCompletion.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
    "github.com/openai/openai-go/shared"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    chatCompletion, err := client.Chat.Completions.Update(
        context.TODO(),
        "completion_id",
        openai.ChatCompletionUpdateParams{
            Metadata: shared.Metadata{
                "foo": "string",
            },
        },
    )
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", chatCompletion.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.core.JsonValue;
import com.openai.models.chat.completions.ChatCompletion;
import com.openai.models.chat.completions.ChatCompletionUpdateParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        ChatCompletionUpdateParams params = ChatCompletionUpdateParams.builder()
            .completionId("completion_id")
            .metadata(ChatCompletionUpdateParams.Metadata.builder()
                .putAdditionalProperty("foo", JsonValue.from("string"))
                .build())
            .build();
        ChatCompletion chatCompletion = client.chat().completions().update(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

chat_completion = openai.chat.completions.update("completion_id", metadata: {foo: "string"})

puts(chat_completion)

Respons

{
  "object": "chat.completion",
  "id": "chatcmpl-AyPNinnUqUDYo9SAdA52NobMflmj2",
  "model": "gpt-4o-2024-08-06",
  "created": 1738960610,
  "request_id": "req_ded8ab984ec4bf840f37566c1011c417",
  "tool_choice": null,
  "usage": {
    "total_tokens": 31,
    "completion_tokens": 18,
    "prompt_tokens": 13
  },
  "seed": 4944116822809979520,
  "top_p": 1.0,
  "temperature": 1.0,
  "presence_penalty": 0.0,
  "frequency_penalty": 0.0,
  "system_fingerprint": "fp_50cad350e4",
  "input_user": null,
  "service_tier": "default",
  "tools": null,
  "metadata": {
    "foo": "bar"
  },
  "choices": [
    {
      "index": 0,
      "message": {
        "content": "Mind of circuits hum,
Learning patterns in silence—
Future's quiet spark.",
        "role": "assistant",
        "tool_calls": null,
        "function_call": null
      },
      "finish_reason": "stop",
      "logprobs": null
    }
  ],
  "response_format": null
}
nl-nl
Uw privacykeuzes
  • AI-disclaimer
  • Vorige versies
  • Blog
  • Bijdragen
  • Privacy
  • Privacy van gezondheidsdata
  • Gebruiksvoorwaarden
  • Handelsmerken
  • © Microsoft 2026